Get incoming agent data
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/agent_status/data
-
GET
/s/{space_id}/api/fleet/agent_status/data
Auth
Get the data streams that an agent is actively sending data to.
-
Privileges
fleet-agents-read
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
agentsIds
string[] · max items: 10000
required
-
Agent IDs to check data for, as an array or comma-separated string
-
pkgName
string
-
Filter by integration package name
-
pkgVersion
string
-
Filter by integration package version
-
previewData
boolean · default: false
-
When true, return a preview of the ingested data
-
dataPreview
object[] · max items: 10000
required
-
items
string to object[] · max items: 10000
required
-
attributes
object
required
Thank you for your feedback.